Upstream information

CVE-2021-28650 at MITRE

Description

autoar-extractor.c in GNOME gnome-autoar before 0.3.1, as used by GNOME Shell, Nautilus, and other software, allows Directory Traversal during extraction because it lacks a check of whether a file's parent is a symlink in certain complex situations. NOTE: this issue exists because of an incomplete fix for CVE-2020-36241.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.9
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:L/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact None Low
Availability Impact None Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1184169 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • gnome-autoar-devel >= 0.4.0-1.3
  • libgnome-autoar-0-0 >= 0.4.0-1.3
  • libgnome-autoar-gtk-0-0 >= 0.4.0-1.3
  • typelib-1_0-GnomeAutoar-0_1 >= 0.4.0-1.3
  • typelib-1_0-GnomeAutoarGtk-0_1 >= 0.4.0-1.3
Patchnames:
openSUSE Tumbleweed GA gnome-autoar-devel-0.4.0-1.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 gnome-autoar Affected
SUSE Enterprise Storage 6 gnome-autoar Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS gnome-autoar Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS gnome-autoar Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 gnome-autoar Affected
SUSE Linux Enterprise Server 15 LTSS gnome-autoar Affected
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux gnome-autoar Affected
SUSE Linux Enterprise Server 15 SP1 LTSS gnome-autoar Affected
SUSE Linux Enterprise Server ESPOS 15 gnome-autoar Affected
SUSE Linux Enterprise Server for SAP Applications 15 gnome-autoar Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gnome-autoar Affected
SUSE Linux Enterprise Workstation Extension 12 gnome-autoar Affected
SUSE Manager Proxy 4.0 gnome-autoar Unsupported
SUSE Manager Retail Branch Server 4.0 gnome-autoar Unsupported
SUSE Manager Server 4.0 gnome-autoar Unsupported